Loading...
Searching...
No Matches
CyclicPtr.h File Reference
`#include <atomic>`
`#include <memory>`

Go to the source code of this file.

## Classes

class | casacore::details::CyclicState
| Class to hold the state returned by CyclicPtr::Freeze(). More...
class | casacore::details::CyclicPtr< T >
| A smart pointer class that allows to work with complex cycles without using weak_ptrs. More...
struct | casacore::details::CyclicPtr< T >::Data

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines
namespace | casacore::details

## Functions

template<typename T, typename... Args>
CyclicPtr< T > | casacore::details::MakeCyclic (Args &&... args)